Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025181
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-11-19 13:152013-12-19 12:30
ReporteregoitzView Statuspublic 
Assigned Toshankarb 
PriorityurgentResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revision90415f21b826
ProjectionnoneETAnoneTarget Version3.0MP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025181: Not possible to create your own window personalization if a more general personalization is being used

DescriptionIf you have access to a window that has defined a personalization that applies to your user you can not define a new window personalization to be used instead of the other.

Steps To Reproduce-Access with Openbravo user to a instance activated with a professional key
-Go to sales invoice window
-click on the form personalization button
-Change the view and save
-Go to the window personalization window and find the previously created form personalization.
-Change the definition to make the personalization valid for all the users.
-Create a new user
-Logout and login with the new user
-go to sales invoice window and see that the form pesonalization is applied
-Click on the form personalization and do some changes.
*You get a poup with the following error when saving.

Error occured: org.openbravo.base.exception.OBException: java.lang.NullPointerException

The process should save a new row that only applies to that user.

The error on the log is the following:





a26005a4 8142964 [http-7080-1] ERROR org.openbravo.base.exception.OBException -
java.lang.NullPointerException
    at org.openbravo.client.application.personalization.PersonalizationActionHandler.execute(PersonalizationActionHandler.java:107)
    at org.openbravo.client.kernel.BaseActionHandler.execute(BaseActionHandler.java:71)
    at org.openbravo.client.application.personalization.org$jboss$weld$bean-flat-ManagedBean-class_org$openbravo$client$application$personalization$PersonalizationActionHandler_$$_WeldClientProxy.execute(org$jboss$weld$bean-flat-ManagedBean-class_org$openbravo$client$application$personalization$PersonalizationActionHandler_$$_WeldClientProxy.java)
    at org.openbravo.client.kernel.KernelServlet.processActionRequest(KernelServlet.java:272)
    at org.openbravo.client.kernel.KernelServlet.doGet(KernelServlet.java:168)
    at org.openbravo.client.kernel.KernelServlet.doPost(KernelServlet.java:245)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)
    at org.openbravo.base.HttpBaseServlet.serviceInitialized(HttpBaseServlet.java:225)
    at org.openbravo.base.secureApp.HttpSecureAppServlet.service(HttpSecureAppServlet.java:440)
    at org.openbravo.client.kernel.BaseKernelServlet.callServiceInSuper(BaseKernelServlet.java:87)
    at org.openbravo.client.kernel.BaseKernelServlet.service(BaseKernelServlet.java:63)
    at org.openbravo.client.kernel.KernelServlet.service(KernelServlet.java:140)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.SessionExpirationFilter.doFilter(SessionExpirationFilter.java:66)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.utils.CharsetFilter.doFilter(CharsetFilter.java:35)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.client.kernel.KernelFilter$1.doAction(KernelFilter.java:62)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.client.kernel.KernelFilter.doFilter(KernelFilter.java:71)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.openbravo.dal.core.DalRequestFilter$1.doAction(DalRequestFilter.java:81)
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:46)
    at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:103)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)
    at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:857)
    at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:588)
    at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:489)
    at java.lang.Thread.run(Thread.java:662)
TagsNo tags attached.
Attached Filesdiff file icon FixIssue25181.diff [^] (6,687 bytes) 2013-12-03 07:09 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062478)
shankarb (developer)
2013-12-02 11:10

Issue fixed. Will be pushed once pi is open for MP31
(0062538)
hgbot (developer)
2013-12-05 06:59

Repository: erp/devel/pi
Changeset: 90415f21b82623648a5e39eef5991d4469c4bfa2
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Dec 02 15:43:13 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/90415f21b82623648a5e39eef5991d4469c4bfa2 [^]

Fixes Issue 0025181 : Create a new window preference if a general preference is modified

If an user modifies the window preference which is generic to users/role/org/client it was being overwriten.
Now a new preference is created for this particular user in this case.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/personalization/PersonalizationActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/personalization/PersonalizationHandler.java
---
(0062782)
AugustoMauch (developer)
2013-12-18 14:13

Code reviewed and verified in pi@469ba15fbba3
(0062824)
hudsonbot (developer)
2013-12-19 12:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-19 13:15 egoitz New Issue
2013-11-19 13:15 egoitz Assigned To => AugustoMauch
2013-11-19 13:15 egoitz Modules => Core
2013-11-19 13:15 egoitz Triggers an Emergency Pack => No
2013-11-25 11:45 eugeni Issue Monitored: eugeni
2013-12-02 11:10 shankarb Assigned To AugustoMauch => shankarb
2013-12-02 11:10 shankarb Status new => scheduled
2013-12-02 11:10 shankarb Note Added: 0062478
2013-12-02 11:10 shankarb fix_in_branch => pi
2013-12-03 07:09 shankarb File Added: FixIssue25181.diff
2013-12-05 06:48 shankarb Issue Monitored: AugustoMauch
2013-12-05 06:59 shankarb Review Assigned To => AugustoMauch
2013-12-05 06:59 shankarb fix_in_branch pi =>
2013-12-05 06:59 hgbot Checkin
2013-12-05 06:59 hgbot Note Added: 0062538
2013-12-05 06:59 hgbot Status scheduled => resolved
2013-12-05 06:59 hgbot Resolution open => fixed
2013-12-05 06:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/90415f21b82623648a5e39eef5991d4469c4bfa2 [^]
2013-12-18 14:13 AugustoMauch Note Added: 0062782
2013-12-18 14:13 AugustoMauch Status resolved => closed
2013-12-18 14:13 AugustoMauch Fixed in Version => 3.0MP31
2013-12-19 12:30 hudsonbot Checkin
2013-12-19 12:30 hudsonbot Note Added: 0062824


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker